Subject: Re: linux-next: Tree for Dec 14

From: Nathan Chancellor <[email-masked]>
Date: Tue, 14 Dec 2021 17:37:16 -0700

Hi Mark,

On Tue, Dec 14, 2021 at 10:32:22PM +0000, [email-masked] wrote:
> Hi all,
> 
> News: Releases may or may not happen over the next few days since I'm
> getting a vacciene dose tomorrow.
> 
> Changes since 20211213:
> 
> The drm-intel tree gained a conflict with the drm-intel-fixes tree.
> 
> The dmaengine tree gained a conflict with the dmaengine-fixes tree.
> 
> Non-merge commits (relative to Linus' tree): 6251
>  6873 files changed, 291130 insertions(+), 138903 deletions(-)

Was there a conflict in mm/migrate.c with this release? It looks like
the ptl assignment was dropped in commit fd93c9fe58cc ("Merge branch
'akpm-current/current'") but I do not see that in any of the individual
mm/migrate.c commits. I noticed this because Clang warns now:

mm/migrate.c:347:14: error: variable 'ptl' is uninitialized when used here [-Werror,-Wuninitialized]
        spin_unlock(ptl);
                    ^~~
mm/migrate.c:340:17: note: initialize the variable 'ptl' to silence this warning
        spinlock_t *ptl;
                       ^
                        = NULL
1 error generated.

Cheers,
Nathan